Subject: Re: [PATCH wireless-drivers] rtlwifi: rtl8723ae: Fix missing break in switch statement

From: Kalle Valo <[email-masked]>
Date: Tue, 16 Apr 2019 18:58:38 +0300

"Gustavo A. R. Silva" <[email-masked]> writes:

> On 4/15/19 10:36 PM, Kalle Valo wrote:
>> "Gustavo A. R. Silva" <[email-masked]> writes:
>> 
>>> Add missing break statement in order to prevent the code from falling
>>> through to case 0x1025, and erroneously setting rtlhal->oem_id to
>>> RT_CID_819X_ACER when rtlefuse->eeprom_svid is equal to 0x10EC and
>>> none of the cases in switch (rtlefuse->eeprom_smid) match.
>>>
>>> This bug was found thanks to the ongoing efforts to enable
>>> -Wimplicit-fallthrough.
>>>
>>> Fixes: 238ad2ddf34b ("rtlwifi: rtl8723ae: Clean up the hardware info routine")
>>> Cc: [email-masked]
>>> Signed-off-by: Gustavo A. R. Silva <[email-masked]>
>> 
>> You have marked this for wireless-drivers but the commit is 2.5 years
>> old, so I think wireless-drivers-next is more approriate.
>> 
>
> Yeah. This can actually be applied to both of them.  What I'd like is
> to have this applied to stable, so I thought wireless-drivers was a
> more straightforward way.

Sure, makes sense. But I just want to keep the number of patches going
to wireless-drivers to the minimum, I really want to avoid conflicts as
much as possible. That's why I'm keeping the bar high for w-d.

> Anyway, I'll update the tag and respin.

Thanks.

-- 
Kalle Valo